varying vec2 		texcoord;
uniform sampler2D 	depthBuffer;
uniform float		wfar;
uniform float		wnear;

void main()
{
	// vignette
	float depth=texture2D(depthBuffer, texcoord).r;
	gl_FragColor.r = -(wnear / (wfar - depth * (wfar - wnear))) * wfar;
}

